Delete

  • DEL
  • /workspaces
  • /:workspace
  • /domains
  • /:domain_id
  • /records
  • /:record_name
  • /:type

Delete record

Request

REQUIRED SCOPES
ZONE_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

domain_idrequiredstring
The ID of the domain

Example: "4krmDRPw"

record_namerequiredstring
The full record name with domain

Example: "api.example.com"

typerequiredstring enum
The record type
Allowed enum:
SOA,
NS,
A,
AAAA,
CNAME,
CAA,
SPF,
MX,
TXT,
SRV,
NAPTR

Example: "A"

Last modified on Jan 26, 2026

Request example

CURL
curl -X DELETE "https://api.buddy.works/workspaces/:workspace/domains/:domain_id/records/:record_name/:type" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
204 Record deleted successfully